FreeMat

- Main Page
- Related Pages

vtkImageSpatialAlgorithm

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageSpatialAlgorithm is a super class for filters that operate on an input neighborhood for each output pixel. It handles even sized neighborhoods, but their can be a half pixel shift associated with processing. This superclass has some logic for handling boundaries. It can split regions into boundary and non-boundary pieces and call different execute methods.

To create an instance of class vtkImageSpatialAlgorithm, simply invoke its constructor as follows

      obj = vtkImageSpatialAlgorithm

# Methods

The class vtkImageSpatialAlgorithm has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageSpatialAlgorithm class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageSpatialAlgorithm = obj.NewInstance ()`
- `vtkImageSpatialAlgorithm = obj.SafeDownCast (vtkObject o)`
- `int = obj. GetKernelSize ()` - Get the Kernel size.
- `int = obj. GetKernelMiddle ()` - Get the Kernel middle.